/**
*	main.h
*	CS 6610 - Advanced Computer Graphics I
*	Zach Gildersleeve
*	Oct. 13, 2006
*	
*	Main header file, contains includes, constants, and function declarations.
*/

#include "./include/stdafx.h"

#include "./include/texture.h"

void myGlutIdle(void);
void myGlutMouse(int button, int state, int x, int y);
void myGlutMotion(int x, int y);
void textureMode(int mode);
void materialMode(int mode);
GLvoid Init(GLvoid);
void myGlutReshape(int x, int y);
void DrawSphere(void);
GLvoid drawCone (GLvoid);
void CreateSphere(float r, float s1, float t1, float s2, float t2);
void drawWing(void);
void drawLeg(void);
void drawDragonfly(void);
void DrawRoom(void);
void makeCubeMap(void);
float cameraDistance(void);
void Display(void);
void keyboard(unsigned char key, int x, int y);
void glui_cb(int control);

const GLint WINDOW_WIDTH	= 900;	// the window width
const GLint WINDOW_HEIGHT	= 600;	// the window height
const GLint CUBEMAP_SIZE	= 256;	// dimension of a cubemap face

const GLint	FLOOR_OBJECT	= 0;	// names for material states
const GLint ROOM_OBJECT		= 1;
const GLint CONE_OBJECT		= 2;
const GLint SPHERE_OBJECT	= 3;
const GLint EYE_OBJECT		= 4;
const GLint LEG_OBJECT		= 5;

const GLfloat GL_PI			= 3.141592654;
const GLfloat TWOPI			= 6.283185307;
const GLfloat PID2			= 1.570796327;